<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCellStatePreview (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCellStatePreview (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellStatePreview.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.view</a></div>
<h2 title="Class mxCellStatePreview" class="title">Class mxCellStatePreview</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.view.mxCellStatePreview</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxCellStatePreview</span>
extends java.lang.Object</pre>
<div class="block">Represents the current state of a cell in a given graph view.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cellStates">cellStates</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cloned">cloned</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if cell states should be cloned or changed in-place.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#count">count</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Map&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>,&#8203;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deltas">deltas</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#opacity">opacity</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,boolean)">mxCellStatePreview</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                  boolean&nbsp;cloned)</code></th>
<td class="colLast">
<div class="block">Constructs a new state preview.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addEdges(hk.quantr.mxgraph.view.mxCellState)">addEdges</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCount()">getCount</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>,&#8203;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeltas()">getDeltas</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOpacity()">getOpacity</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOpacityForCell(java.lang.Object)">getOpacityForCell</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCloned()">isCloned</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEmpty()">isEmpty</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveState(hk.quantr.mxgraph.view.mxCellState,double,double)">moveState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         double&nbsp;dx,
         double&nbsp;dy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveState(hk.quantr.mxgraph.view.mxCellState,double,double,boolean,boolean)">moveState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         double&nbsp;dx,
         double&nbsp;dy,
         boolean&nbsp;add,
         boolean&nbsp;includeEdges)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paint(java.awt.Graphics)">paint</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintPreview(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">paintPreview</a></span>&#8203;(<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas)</code></th>
<td class="colLast">
<div class="block">Draws the preview using the graphics canvas.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintPreviewState(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">paintPreviewState</a></span>&#8203;(<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                 <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Draws the preview using the graphics canvas.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#restore(java.util.List)">restore</a></span>&#8203;(java.util.List&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;&nbsp;snapshot)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#restoreState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">restoreState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
            <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;from)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#revalidateState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,double,double)">revalidateState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;parentState,
               <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
               double&nbsp;dx,
               double&nbsp;dy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCloned(boolean)">setCloned</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOpacity(float)">setOpacity</a></span>&#8203;(float&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#show()">show</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a dirty rectangle to be repainted in mxGraphControl.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#snapshot(hk.quantr.mxgraph.view.mxCellState)">snapshot</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#translateState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,double,double)">translateState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;parentState,
              <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
              double&nbsp;dx,
              double&nbsp;dy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="deltas">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deltas</h4>
<pre>protected&nbsp;java.util.Map&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>,&#8203;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt; deltas</pre>
</li>
</ul>
<a id="count">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>count</h4>
<pre>protected&nbsp;int count</pre>
</li>
</ul>
<a id="graphComponent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphComponent</h4>
<pre>protected&nbsp;<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> graphComponent</pre>
</li>
</ul>
<a id="cloned">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cloned</h4>
<pre>protected&nbsp;boolean cloned</pre>
<div class="block">Specifies if cell states should be cloned or changed in-place.</div>
</li>
</ul>
<a id="opacity">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>opacity</h4>
<pre>protected&nbsp;float opacity</pre>
</li>
</ul>
<a id="cellStates">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cellStates</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt; cellStates</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent,boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxCellStatePreview</h4>
<pre>public&nbsp;mxCellStatePreview&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                          boolean&nbsp;cloned)</pre>
<div class="block">Constructs a new state preview. The paint handler to invoke the paint
 method must be installed elsewhere.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isCloned()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCloned</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isCloned()</pre>
</li>
</ul>
<a id="setCloned(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCloned</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCloned&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEmpty()</pre>
</li>
</ul>
<a id="getCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCount</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getCount()</pre>
</li>
</ul>
<a id="getDeltas()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeltas</h4>
<pre class="methodSignature">public&nbsp;java.util.Map&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>,&#8203;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;getDeltas()</pre>
</li>
</ul>
<a id="setOpacity(float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOpacity</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOpacity&#8203;(float&nbsp;value)</pre>
</li>
</ul>
<a id="getOpacity()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpacity</h4>
<pre class="methodSignature">public&nbsp;float&nbsp;getOpacity()</pre>
</li>
</ul>
<a id="moveState(hk.quantr.mxgraph.view.mxCellState,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveState</h4>
<pre class="methodSignature">public&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;moveState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                         double&nbsp;dx,
                         double&nbsp;dy)</pre>
</li>
</ul>
<a id="moveState(hk.quantr.mxgraph.view.mxCellState,double,double,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveState</h4>
<pre class="methodSignature">public&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;moveState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                         double&nbsp;dx,
                         double&nbsp;dy,
                         boolean&nbsp;add,
                         boolean&nbsp;includeEdges)</pre>
</li>
</ul>
<a id="show()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>show</h4>
<pre class="methodSignature">public&nbsp;<a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;show()</pre>
<div class="block">Returns a dirty rectangle to be repainted in mxGraphControl.</div>
</li>
</ul>
<a id="restore(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restore</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;restore&#8203;(java.util.List&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;&nbsp;snapshot)</pre>
</li>
</ul>
<a id="restoreState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreState</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;restoreState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                         <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;from)</pre>
</li>
</ul>
<a id="snapshot(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>snapshot</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;&nbsp;snapshot&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
</li>
</ul>
<a id="translateState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translateState</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;translateState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;parentState,
                              <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                              double&nbsp;dx,
                              double&nbsp;dy)</pre>
</li>
</ul>
<a id="revalidateState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revalidateState</h4>
<pre class="methodSignature">protected&nbsp;<a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;revalidateState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;parentState,
                                      <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                      double&nbsp;dx,
                                      double&nbsp;dy)</pre>
</li>
</ul>
<a id="addEdges(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEdges</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addEdges&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
</li>
</ul>
<a id="paint(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paint&#8203;(java.awt.Graphics&nbsp;g)</pre>
</li>
</ul>
<a id="getOpacityForCell(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpacityForCell</h4>
<pre class="methodSignature">protected&nbsp;float&nbsp;getOpacityForCell&#8203;(java.lang.Object&nbsp;cell)</pre>
</li>
</ul>
<a id="paintPreview(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintPreview</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;paintPreview&#8203;(<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas)</pre>
<div class="block">Draws the preview using the graphics canvas.</div>
</li>
</ul>
<a id="paintPreviewState(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>paintPreviewState</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;paintPreviewState&#8203;(<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                                 <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Draws the preview using the graphics canvas.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellStatePreview.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
